Package org.apache.cxf.common.security

# Class SimpleSecurityContext

java.lang.Object
org.apache.cxf.common.security.SimpleSecurityContext

All Implemented Interfaces:
  `SecurityContext`

public class SimpleSecurityContext extends Object implements SecurityContext

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleSecurityContext(String name)`
  `SimpleSecurityContext(Principal principal)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Principal`
  `getUserPrincipal()`
  `boolean`
  `isUserInRole(String role)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleSecurityContext

    public SimpleSecurityContext(String name)

  - ### SimpleSecurityContext

    public SimpleSecurityContext(Principal principal)

- ## Method Details

  - ### getUserPrincipal

    public Principal getUserPrincipal()
    Specified by:
      `getUserPrincipal` in interface `SecurityContext`

  - ### isUserInRole

    public boolean isUserInRole(String role)
    Specified by:
      `isUserInRole` in interface `SecurityContext`